6FT(1)

NAME
6ft - 6-frame translation of a DNA sequence into protein

SYNOPSIS

6ft [ -h ] [ -r | -s ] [ -W width ] < sequence_library

DESCRIPTION
6ft translates all six reading frames of a double-stranded DNA sequence into individual protein sequences. Stop codons are represented by character "O". The program 6ft reads input fasta formatted DNA sequences from standard input. If the sequences are contained in a file, the input can be redirected from this file using the shell's input redirector '<' as shown in the synopsis section. The sequence_library contains one or several sequences in Pearson/Fasta format.

This program may be used for searching genomic or EST sequence databases with a protein profile. Better results are usually obtained by first converting the protein profile into a frame-search profile, and then searching a 2-frame translation of the DNA sequence database generated with pftools program 2ft(1), see manual pages of pftools programs ptof(1) and 2ft(1).

OPTIONS

-h  Display usage help text.

-r  Translate only reverse (antisense) strand.
    This option is mutualy exclusive with option -s.
    Default: translate both strands

-s  Translate only sense strand.
    This option is mutualy exclusive with option -r.
    Default: translate both strands

-W width
    Set sequence output width.
    The value of 'width' specifies how many residues will be output on one line.
    Type: integer
    Default: 60

EXAMPLES
See manual pages of pftools program ptof(1).

SEE ALSO
ptof(1), pfsearch(1), pfscan(1)

AUTHOR
The pftools package was developed by Philipp Bucher.
Any comments or suggestions should be addressed to <pftools@sib.swiss>.